Subject: Bug still in new (1.32.0) version of boost library
From: Thomas Barket <[email-masked]>
To: 'Joel de Guzman' <[email-masked]>, [email-masked]
Date: Mon, 04 Apr 2005 01:17:26 -0400

Joel and Dave,

I thought I pointed this out previously but maybe I didn't.  There is a bug
in the date_time library.  Pls see
"C:\boost\boost\date_time\time_duration.hpp" line 95.  It has:

return static_cast<sec_type>(ticks()/ticks_per_second()) % 60;

But this is incorrect.  It should be:

return static_cast<sec_type>((ticks()/ticks_per_second()) % 60);

(ie, the static cast needs to be on the entire result).  I can send over
demo code of this bug if you need it.

Im finally getting around to upgrading to the 1.32.0 version of boost
library from the boost website and noticed this.  

Hope that helps,

Tom